Subject: [mpls-tp] Fw: IAB/IESG Joint Design Session on Forwarding Plane Operations, Administration and Maintenance

From: Adrian Farrel <[email-masked]>
Date: Fri, 20 Aug 2010 22:33:51 +0100

Hi,

Many people on this list have a significant interest in OAM and may be 
interested in this initiative.

Cheers,
Adrian
----- Original Message ----- 
From: "IESG Secretary" <[email-masked]>
To: "IETF Announcement list" <[email-masked]>
Sent: Friday, August 20, 2010 7:36 PM
Subject: IAB/IESG Joint Design Session on Forwarding Plane Operations, 
Administration and Maintenance

> The IAB and IESG would like to announce a joint design session on
> Forwarding Plane Operations, Administration and Maintenance (OAM) to be
> held on October 12 through October 14 at George Mason University in
> Fairfax, Virginia, USA.
>
> IP and ICMP support very simple forwarding plane diagnostic tools (e.g.,
> PING, TRACEROUTE). During the Internet's first decades, these tools
> fulfilled most operational requirements. However, during the last decade,
> network operators have deployed many technologies that rely upon
> tunneling. These technologies include Pseudo-wires, Layer 2 Virtual
> Private Networks, and Layer 3 Virtual Private Networks. While the internet
> community has enhanced its forwarding plane diagnostic tool kit with the
> deployment of Bidirectional Forwarding Detection (BFD), some suggest that
> the tool kit is still inadequate for tunneled applications.
>
> The purpose of this design session is to discover and document
> operational requirements and constraints for tunneled forwarding plane
> OAM. The design session will also entertain solution proposals. While most
> activity in this area has been associated with Multi-Protocol Label
> Switching (MPLS), session organizers also encourage generic proposals that
> include other tunneling mechanisms (e.g., IP-in-IP).
>
> The scope of this design session is limited to the forwarding plane.
> Proposals concerning control and management plane protocols will not be
> accepted. For example, a proposal that probes a tunnel for continuity
> would be acceptable, while a proposal for reporting tunnel continuity to a
> routing protocol or management station would be productive, but beyond the
> scope of this workshop.
>
> Those intending to make presentations must submit position papers to the
> IAB/IESG by September 24. Position papers should constitute one to five
> pages on the problem or solution space, with a particular emphasis on
> areas that the IETF should address or revisit. Evaluation of the position
> papers will be performed by a committee consisting of IESG and IAB
> members. A limited number of seats will be available for persons not
> presenting.
>
> Position papers will be made publicly available. On the basis of the
> position papers, a number of invited speakers will be asked to present at
> the workshop. A final agenda with timeslots will be published by October
> 1.
>
>
> Further information about position paper submission procedures are
> forthcoming. Interested parties are advised to subscribe to the oam at
> ietf.org mailing list for discussion and announcements related to the
> workshop. Additional information will be available at
> http://www3.tools.ietf.org/area/ops/trac/wiki/oamJDS.
>
> Ron Bonica, IESG
> Danny McPherson, IAB
> Hannes Tschofenig, IAB
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce
>

---

From: Maarten Vissers <[email-masked]>
Date: Mon, 23 Aug 2010 09:59:36 +0200

Hi Adrian,

IP VPN OAM can be reusing the Y.1731 OAM PDUs and complement those with an
IP header instead of a MAC Header. Allocate a new Protocol/NextHeader ID for
this IP OAM. Port the ETH MEP and MIP function specifications to create IP
MEP and MIP function specifications. With this minimal amount of development
work, IP VPNs and and IP-in-IP VPNs/tunnels will support a large set of
transport grade OAM functions in the IP data plane, including support for IP
customer, IP service provider and IP network operator OAM levels.

    0                   1                   2                   3   
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |Version|  IHL  |Type of Service|          Total Length         |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |         Identification        |Flags|      Fragment Offset    |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |  Time to Live | Protocol=<OAM>|         Header Checksum       |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                       Source Address                          |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                    Destination Address                        |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   | MEL | Version |    OpCode     |     Flags     |   TLV Offset  | 
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
   |                                                               | 
   +                                                               + 
   |                  OAM function specific fields                 | 
   |  (Y.1731 based CCM, LBM/LBR, LTM/LTR, AIS, LCK, TST, APS,     | 
   +                LMM/LMR, DMM/DMR/1DM, CSF, MCC)                + 
   :                              ...                              : 
   |                                                               | 
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 

    0                   1                   2                   3   
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |Version| Traffic Class |           Flow Label                  |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |         Payload Length        | NxtHdr=<OAM>  |   Hop Limit   |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                                                               |
   +                                                               +
   |                                                               |
   +                         Source Address                        +
   |                                                               |
   +                                                               +
   |                                                               |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                                                               |
   +                                                               +
   |                                                               |
   +                      Destination Address                      +
   |                                                               |
   +                                                               +
   |                                                               |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   | MEL | Version |    OpCode     |     Flags     |   TLV Offset  | 
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
   |                                                               | 
   +                                                               + 
   |                  OAM function specific fields                 | 
   |  (Y.1731 based CCM, LBM/LBR, LTM/LTR, AIS, LCK, TST, APS,     | 
   +                LMM/LMR, DMM/DMR/1DM, CSF, MCC)                + 
   :                              ...                              : 
   |                                                               | 
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 

Regards,
Maarten

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Adrian Farrel
Sent: vrijdag 20 augustus 2010 23:34
To: [email-masked]
Subject: [mpls-tp] Fw: IAB/IESG Joint Design Session on Forwarding Plane
Operations, Administration and Maintenance

Hi,

Cheers,
Adrian
----- Original Message -----
From: "IESG Secretary" <[email-masked]>
To: "IETF Announcement list" <[email-masked]>
Sent: Friday, August 20, 2010 7:36 PM
Subject: IAB/IESG Joint Design Session on Forwarding Plane Operations,

> Forwarding Plane Operations, Administration and Maintenance (OAM) to 
> be held on October 12 through October 14 at George Mason University in 
> Fairfax, Virginia, USA.
>
> IP and ICMP support very simple forwarding plane diagnostic tools 
> (e.g., PING, TRACEROUTE). During the Internet's first decades, these 
> tools fulfilled most operational requirements. However, during the 
> last decade, network operators have deployed many technologies that 
> rely upon tunneling. These technologies include Pseudo-wires, Layer 2 
> Virtual Private Networks, and Layer 3 Virtual Private Networks. While 
> the internet community has enhanced its forwarding plane diagnostic 
> tool kit with the deployment of Bidirectional Forwarding Detection 
> (BFD), some suggest that the tool kit is still inadequate for tunneled
applications.
> OAM. The design session will also entertain solution proposals. While 
> most activity in this area has been associated with Multi-Protocol 
> Label Switching (MPLS), session organizers also encourage generic 
> proposals that include other tunneling mechanisms (e.g., IP-in-IP).
>
> Proposals concerning control and management plane protocols will not 
> be accepted. For example, a proposal that probes a tunnel for 
> continuity would be acceptable, while a proposal for reporting tunnel 
> continuity to a routing protocol or management station would be 
> productive, but beyond the scope of this workshop.
>
> Those intending to make presentations must submit position papers to 
> the IAB/IESG by September 24. Position papers should constitute one to 
> five pages on the problem or solution space, with a particular 
> emphasis on areas that the IETF should address or revisit. Evaluation 
> of the position papers will be performed by a committee consisting of 
> IESG and IAB members. A limited number of seats will be available for 
> persons not presenting.
>
> position papers, a number of invited speakers will be asked to present 
> at the workshop. A final agenda with timeslots will be published by 
> October 1.
>
>

_______________________________________________
mpls-tp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls-tp

---

From: Adrian Farrel <[email-masked]>
Date: Mon, 23 Aug 2010 09:13:57 +0100

Hi Maarten,

I am aware of your views on this, but I don't quite see how your email 
follows on from mine.

Maybe you propose to write a position paper for submission to the meeting?

Cheers,
Adrian